<template>
  <div class="settings-container">
    <div class="title">Наценка для формирования онлайн цены</div>
    <ControlGroup
      v-model="tab"
      :items="groupItems"
      theme="light"
    />
    <component
      :is="currentComponent"
    />
  </div>
</template>

<script>
import ControlGroup from 'common-components/src/obComponents/obControlGroup'
import ForAll from './ForAll'
import ForClient from './ForClient'
import { mapActions } from 'vuex'

export default {
  name: 'ClicarSettingsMarkup',
  components: {
    ControlGroup
  },
  data () {
    return {
      tab: 'ALL'
    }
  },
  mounted () {
    this.getMarkupSettings()
  },
  methods: {
    ...mapActions({
      getMarkupSettings: 'clicarSettings_3/getMarkupSettings'
    })
  },
  computed: {
    groupItems () {
      return [
        {
          label: 'Для всех клиентов по умолчанию',
          value: 'ALL',
          component: ForAll
        },
        {
          label: 'Индивидуально для Клиентов',
          value: 'FOR_CLIENT',
          component: ForClient
        }
      ]
    },
    currentComponent () {
      return this.groupItems.find(item => item.value === this.tab)?.component || null
    }
  },
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

.title {
  margin-bottom: 10px;
  @include font-mixin(20px,28px, 700, $color-text-base, 0.4px);
}
</style>